<?php

use Hyperf\Database\Schema\Schema;
use Hyperf\Database\Schema\Blueprint;
use Hyperf\Database\Migrations\Migration;

return new class extends Migration {

    public function up(): void
    {
        Schema::table('file_list', function (Blueprint $table) {
            $table->string('cdn_url', 1024)->nullable()->after('filename');
        });
    }

    public function down(): void
    {
        Schema::table('file_list', function (Blueprint $table) {
            $table->dropColumn('cdn_url');
        });
    }
};
